Odoo button_validate error when trying to validate a stock.picking

I want validate a stock.picking with Java

This is API button_validate a stock.picking

[Picture API] https://i.stack.imgur.com/wqV4K.png

This is my code

Object result1 = client.doRequest("stock.picking", "button_validate", asList(110705), null);

doRequest

public Object doRequest(String model, String method, List args, List<String> fields) throws XmlRpcException {
        XmlRpcClient models = new XmlRpcClient() {
            {
                setConfig(new XmlRpcClientConfigImpl() {{
                    try {
                        setServerURL(new URL(String.format("%s/xmlrpc/2/object", url)));
                    } catch (MalformedURLException e) {
                        e.printStackTrace();
                    }
                }});
            }
        };
        System.out.println(url);
        return models.execute("execute_kw", asList(database, uid, password, model, method, args, new HashMap() {{
            if (fields != null) {
                put("fields", fields);
            }
        }}));
    }

But it happen an error

Traceback (most recent call last):
  File "/usr/lib/python3.5/xmlrpc/client.py", line 509, in __dump
    f = self.dispatch[type(value)]
KeyError: <class 'odoo.tools.misc.frozendict'>

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/odoo/addons/base/controllers/rpc.py", line 69, in xmlrpc_2
    response = self._xmlrpc(service)
  File "/usr/lib/python3/dist-packages/odoo/addons/base/controllers/rpc.py", line 50, in _xmlrpc
    return dumps((result,), methodresponse=1, allow_none=False)
  File "/usr/lib/python3.5/xmlrpc/client.py", line 951, in dumps
    data = m.dumps(params)
  File "/usr/lib/python3.5/xmlrpc/client.py", line 501, in dumps
    dump(v, write)
  File "/usr/lib/python3.5/xmlrpc/client.py", line 523, in __dump
    f(self, value, write)
  File "/usr/lib/python3.5/xmlrpc/client.py", line 594, in dump_struct
    dump(v, write)
  File "/usr/lib/python3.5/xmlrpc/client.py", line 519, in __dump
    raise TypeError("cannot marshal %s objects" % type(value))
TypeError: cannot marshal <class 'odoo.tools.misc.frozendict'> objects

Another API process a stock.immediate.transfer working normally.

client.doRequest("stock.immediate.transfer", "process", asList(2579), null)

Please help me.

Thank you so much!